<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 1;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/calendar.php");
include("../inc/rc4.php");
include("../inc/imgedit.php");

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST['id']) ? $_POST['id'] : NULL); }
$nEditMode = (isset($_GET['editMode']) ? $_GET['editMode'] : NULL);
if(!$nEditMode){ $nEditMode = (isset($_POST['editMode']) ? $_POST['editMode'] : NULL); }

// AJAX Specific vars
$nPassThru = "?id=$nRecID";
$nDivToUpdate = "ajaxSettingsEdit"; // must be same as parent edit page
$nPageInDiv = "edit/sys_settings.php";

// Get info
$nSettingsARRAY = array();
$nSQL = "SELECT * FROM nSettings";
mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
while($Row = mysql_fetch_array($Result)){
	$nSetting = $Row["nSetting"];
	$nValue = $Row["nValue"];
	$nSettingsARRAY[$nSetting] = $nValue;
}

$nCoName = $nSettingsARRAY["coName"];
$nSiteName = $nSettingsARRAY["siteName"];
$nFullSitePath = $nSettingsARRAY["fullSitePath"];
$nForceWWW = $nSettingsARRAY["forceWWW"];
?>

<? if(!$nEditMode){ ?>

<div id="editBox">
	<div id="editBoxStatic">
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td valign="top" style="padding-right:10px;"><strong>Site Name:</strong></td>
			<td valign="top"><?=$nCoName;?></td>
		  </tr>
		  <tr>
			<td valign="top" style="padding-right:10px;"><strong>Site URL Name:</strong></td>
			<td valign="top"><?=$nSiteName;?> <? if($nForceWWW){?><span class="caption">("www." use enforced)</span><?}?></td>
		  </tr>
		  <tr>
			<td valign="top" style="padding-right:10px;"><img src="img/website_s.png" alt="" width="16" height="16" border="0" style="margin:0px 4px -2px 0px;"><strong>Site Path:</strong></td>
			<td valign="top"><a href="<?=$nFullSitePath;?>" target="_blank"><?=$nFullSitePath;?><img src="img/external.png" alt="" width="16" height="16" border="0" style="margin:0 0 -3px 4px;"></a></td>
		  </tr>
		</table>
		
		<div style="clear:both;">&nbsp;</div>
		<div align="center" id="buttonBox">
			<input type="button" name="nEdit" value="Edit" class="formButton" onClick="loadContent('<?=$nDivToUpdate?>','<?=$nPageInDiv.$nPassThru?>&editMode=1');">
		</div>
	</div>
</div>
<? } ?>

<? if($nEditMode){ ?>
<div id="editBox">
<?php
include("../inc/form_class.php");

$nFormName = "FormEdit";
$nForm1 = new Form();
//$nForm1->DEBUG = true;
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->Encoding = "multipart/form-data";
$nForm1->SubmitText = "Update";
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "loadContent('$nDivToUpdate','$nPageInDiv$nPassThru');";
$nForm1->CancelRedirectIsJS = true;
// AJAX settings
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru',this.name);return false;";

// Create groups
$nFormGroup1 = new FormGroup();
//$nFormGroup1->Name = "Defaults";

// Create fields
$nFormField = new FormField("hidden","editMode");
$nFormField->Value = "1";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nCoName","Site Name:");
$nFormField->Value = $nCoName;
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,100);
$nFormField->Caption = "(max. 100 characters, e.g. My Website)";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nSiteName","Site URL Name:");
$nFormField->Value = $nSiteName;
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,100);
$nFormField->Caption = "(max. 100 characters, e.g. MyWebsite.com)";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nFullSitePath","<img src=\"img/website_s.png\" alt=\"\" width=\"16\" height=\"16\" border=\"0\" style=\"margin:0px 4px -2px 0px;\">Site Path:");
$nFormField->Value = $nFullSitePath;
$nFormField->onBlur = "formatURL(this);";
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,255);
$nFormField->Caption = "(max. 255 characters, e.g. http://www.mywebsite.com/)";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("checkbox","nForceWWW","");
$nFormField->Value = $nForceWWW;
$nFormField->DataARRAY = array("nForceWWW" => "Force use of \"www.\" subdomain<BR><span class=\"caption\">(IMPORTANT: If this is turned on, make sure \"www.\" is included in your Site Path above)</span>");
if($nForceWWW){ $nFormField->SelectedARRAY = array("nForceWWW" => "selected"); }
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("file","nSiteLogo","Logo (for Manager only):");
$nFormField->Caption = "(format: PNG, width:400px max., height:80px max., 5Mb or less only)";
$nFormField->onBlur = "uploadFile(this.id,'$nFormName','width:420px; height:100px; background-color:#AAA;');";
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// Save other settings
	if(isset($_POST["nCoName"])){ $nCoName = $_POST["nCoName"]; } else { $nCoName = ""; }
	$Query = "UPDATE nSettings SET nValue='$nCoName' WHERE nSetting='coName' LIMIT 1";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
	
	if(isset($_POST["nSiteName"])){ $nSiteName = $_POST["nSiteName"]; } else { $nSiteName = ""; }
	$Query = "UPDATE nSettings SET nValue='$nSiteName' WHERE nSetting='siteName' LIMIT 1";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
	
	if(isset($_POST["nFullSitePath"])){ $nFullSitePath = $_POST["nFullSitePath"]; } else { $nFullSitePath = ""; }
	$Query = "UPDATE nSettings SET nValue='$nFullSitePath' WHERE nSetting='fullsitePath' LIMIT 1";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
	
	if(isset($_POST["nForceWWW"])){ $nForceWWW = $_POST["nForceWWW"]; } else { $nForceWWW = ""; }
	$Query = "UPDATE nSettings SET nValue='$nForceWWW' WHERE nSetting='forceWWW' LIMIT 1";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
	
	echo "<script>window.location.reload();</script>"; // reload full page (for logo update)
	//echo "<script>loadContent('$nDivToUpdate','$nPageInDiv$nPassThru');</script>";
} else {
	echo $nFormToDisplay;
}
?>
<script>
uploadFile = function(fldName,frmName,iframeStyle){
	fldName = "#"+fldName;
	frmName = "#"+frmName;
	if($(fldName).val()){
		// save original form info
		var currFormOnSumbit = $(frmName).attr('onsubmit');
		var currFormTarget = $(frmName).attr('target');
		var currFormAction = $(frmName).attr('action');
		// set new form info to post to
		$(frmName).attr('target',"imageSubmitFrame");
		$(frmName).attr('onsubmit',"");
		$(frmName).attr('action',"inc/imgupload.php");
		// create new iframe
		if($('#imageSubmitFrame')){ $('#imageSubmitFrame').remove(); }
		$('<iframe name="imageSubmitFrame" id="imageSubmitFrame" scrolling="no" frameborder="0" />').appendTo('body');
		$(frmName).submit();
		// reset form info
		$(frmName).attr('target',currFormTarget);
		$(frmName).attr('onsubmit',currFormOnSumbit);
		$(frmName).attr('action',currFormAction);
	}
}
</script>
<script>
formatURL = function(fld){
	fldVal = fld.value;
	if(fldVal){
		// strip all spaces
		var fldValStr = new String(fldVal); 
		fldVal = fldValStr.replace(/ /g,"");
		// strip "http://" (to be re-added later)
		if(fldVal){
			var fldValStr = new String(fldVal); 
			fldVal = fldValStr.replace(/http:\/\//gi,'');
		}
		// add a trailing slash, and remove double-slashes (just in case user already put one)
		fldVal = fldVal+"/";
		if(fldVal){
			var fldValStr = new String(fldVal); 
			fldVal = fldValStr.replace("//","/");
		}
		fldVal = "http://"+fldVal;
	}
	fld.value = fldVal;
}
</script>
</div>
<? } ?>
<? require("../../inc/db_close.php"); ?>
