<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");

// config
$nRefreshCall = "refreshComps();";

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST['id']) ? $_POST['id'] : NULL); }

// AJAX Specific vars
$nPassThru = "?id=$nRecID";
$nDivToUpdate = "editModal";
$nPageInDiv = "dialog/component_toggle.php";

// Get additional data
if($nRecID){
	$nSQL = "SELECT nActive FROM nComponent WHERE nID=$nRecID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nActive = $Row["nActive"];
	}
}
?>

<div id="<?=$nDivToUpdate;?>">

<?php
include("../inc/form_class.php");

$nFormName = "FormCompEdit";
$nForm1 = new Form();
//$nForm1->DEBUG = true;
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "$.colorbox.close()";
$nForm1->CancelRedirectIsJS = true;
$nForm1->SubmitText = "Save Changes";
$nForm1->ModifyDBTable = "nComponent";
$nForm1->ModifyDBField = "nID";
$nForm1->ModifyDBID = "$nRecID";
$nForm1->DontProcess = "id";

$nForm1->DBLink = $Link;
$nForm1->nUseADODB = false;
// AJAX settings
$nForm1->SubmitIsJS = true;
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru','$nFormName');return false;";

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
$nFormField = new FormField("hidden","id");
$nFormField->Value = $nRecID;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("radio","nActive","Component Status:");
$nFormField->Caption = "NOTE: Disabled components do not display on the site and can be re-activated anytime.";
$nFormField->DataARRAY = array(
	"1" => "<img src='css/layout/green_ico.png' alt='' width='23' height='23' border='0' style='margin-bottom:-6px;'> Enabled",
	"0" => "<img src='css/layout/red_ico.png' alt='' width='23' height='23' border='0' style='margin-bottom:-6px;'> Disabled");
if($nActive){ $nFormField->SelectedARRAY = array("$nActive" => "selected"); }
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField->RowStyle = "clear:both;float:none;";
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// Go directly to Edit User screen
	//echo "<script>document.location.href='customer_edit.php?c=".$_POST["CompanyID"]."';</script>";
	//exit();
	
	echo "<div align=\"center\" id=\"buttonBox\"><BR>";
		echo "<strong>Component has been succesfully edited!</strong><BR><BR>";
		//echo "What do you want to do next?<BR><BR>";
		//echo "<input type=\"button\" name=\"nEdit\" value=\"Edit Component\" onClick=\"document.location.href='component_edit.php?id=".$_POST["nID"]."'\" class=\"formSubmit\"> ";
		echo "<input type=\"button\" name=\"nClose\" value=\"Close\" onClick=\"$.colorbox.close();\" class=\"formCancel\"> ";
	echo "</div>";
	echo "<script>$nRefreshCall $.colorbox.resize();</script>";
} else {
	echo $nFormToDisplay;
	echo "<script>$.colorbox.resize();</script>";
}
?>
</div>

<?php
function nGetPageARRAY(){
	global $DBName,$Link;
	global $nRecID;
	$nDataARRAY = array();
	$nSQL = "SELECT nID,nNavTitle FROM nPage ORDER BY nType,nSectionID,nOrderID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"];
		$nNavTitle = $Row["nNavTitle"];
		$nDataARRAY["$nID"] = "$nNavTitle";
	}
	return $nDataARRAY;
}

function nGetNextCompNum(){
	global $DBName,$Link;
	$nSQL = "SELECT Max(nID) AS nID FROM xComponentPage";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"] + 1;
	}
	return $nID;
}
?>
<? require("../../inc/db_close.php"); ?>
