<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

if(!isset($_SESSION)){ session_start(); }

$ValidUser = (isset($_SESSION['ValidUser']) ? $_SESSION['ValidUser'] : NULL);
if(!$ValidUser){
	$nPHPSelf = $_SERVER['PHP_SELF'];
	$nQueryStr = $_SERVER['QUERY_STRING'];
	if($nQueryStr){ $nQueryStr = str_replace("=","~~",$nQueryStr); $nPHPSelf.="?$nQueryStr"; }
	header ("Location: index.php?r=$nPHPSelf");
	exit;
}
if(!isset($nAdminOnlyPg)){ $nAdminOnlyPg = 0; }
$nAdminAccess = (isset($_SESSION['nAdminAccess']) ? $_SESSION['nAdminAccess'] : NULL);
if($nAdminOnlyPg && !$nAdminAccess) {
	header ("Location: /manage/?error=7");
	exit;
}
?>
